Subject: Re: bug#17090: desktop.el saves unusable register data in register-alist

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 29 Sep 2019 16:42:32 +0200

Juanma Barranquero <[email-masked]> writes:

> emacs -Q -f desktop-save-mode
> C-x r w a
> C-x C-x
> y <RET>
> emacs -Q -f desktop-read
> C-x r j
>
> => a: rectangle starting with Unprintable entity
>
> and similarly, when using
> C-x r f a
>
> restoring and then C-x r j  brings
>
> Error running timer: (invalid function "Unprintable entity")

I'm unable to reproduce this bug in Emacs 27 (and I also vaguely
remember something being fixed in this area a few months ago).

Instead of the error, I get:

Desktop: 1 frame, 0 buffers restored.

and then 

Register doesn’t contain a buffer position or configuration

when trying to C-x r j a-ing.

Are you still seeing this problem in Emacs 27?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no